Package com.documentum.fc.client.search

# Interface IDfSearchService

public interface IDfSearchService
This interface is the factory for search objects.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `IDfSearchSourceMap`
  `getSourceMap()`
  Gets the list of sources that are currently available for search.
  `IDfQueryManager`
  `newQueryMgr()`
  Creates a new IDfQueryManager.
  `IDfQueryProcessor`
  `newQueryProcessor(IDfQueryDefinition query, boolean removeDuplicate)`
  Creates a new IDfQueryProcessor.
  `IDfResultObjectManager`
  `newResultObjectManager(IDfQueryDefinition query)`
  Creates a new IDfResultObjectManager.
  `IDfResultsManipulator`
  `newResultsManipulator(IDfQueryDefinition query)`
  Creates a new IDfResultManipulator.

- ## Method Details

  - ### getSourceMap

    IDfSearchSourceMap getSourceMap()
    Gets the list of sources that are currently available for search.
    Returns:
      A map of sources with both repositories and external sources.

  - ### newQueryMgr

    IDfQueryManager newQueryMgr()
    Creates a new IDfQueryManager. This is used to build, save and load a query.
    Returns:
      A new IDfQueryManager instance.

  - ### newResultsManipulator

    IDfResultsManipulator newResultsManipulator(IDfQueryDefinition query)
    Creates a new IDfResultManipulator.
    Parameters:
      `query` - The query whose results will be manipulated by the result manipulator.
    Returns:
      A new IDfResultManipulator instance.

  - ### newQueryProcessor

    IDfQueryProcessor newQueryProcessor(IDfQueryDefinition query, boolean removeDuplicate)
    Creates a new IDfQueryProcessor. Once a query has been created or loaded using IDfQueryManager, the query processor is used to execute it.
    Parameters:
      `query` - A query definition to execute.
      `removeDuplicate` - Indicates how duplicates in the results should be treated. In most case, this parameter should be set to true.
    Returns:
      A new IDfQueryProcessor instance.

  - ### newResultObjectManager

    IDfResultObjectManager newResultObjectManager(IDfQueryDefinition query)
    Creates a new IDfResultObjectManager. This is used to get the content of external results and get an IDfSysObject from repository results.
    Parameters:
      `query` - The query whose results will be handled by the result object manager.
    Returns:
      A new IDfResultObjectManager